Subject: Re: Simple chroot using chdrive
From: [email-masked] (Alex)

29 Nov 1997 02:13:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

On Sat, 29 Nov 1997 [email-masked] wrote:

> Hi Alex, you wrote:
> 
> : While it may be a security issue, or flawed in many respects, this is how
> : Unix works.  If the goal of cygwin.dll is to emulate Unixish functions,
> : chdrive isn't what is being looked for.  Chroot() incidentally can only
> : be used by the super-user.
> 
> I agree with you! I meant to say it would be a security issue if
> half-heartedly implemented under gnuwin32. And I forgot it needs
> 'appropriate privileges', which brings me to the question of how to
> implement suid programs under gnuwin32 savely... Any ideas?

Not on Win95, but I think that it is already done, or shouldn't be too
hard to do on NT.  However using gnuwin32 for multi-user programs is
highly not recommended.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".